From c6c22d5f44f10e1558752355f233b53ed78352c9 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Wed, 10 Jul 2019 13:58:33 -0500
Subject: [PATCH] Vulkan-ValidationLayers: add upstream patch to fix crash

---
 .../patches/fix-apiversion.patch              | 29 +++++++++++++++++++
 srcpkgs/Vulkan-ValidationLayers/template      |  2 +-
 2 files changed, 30 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/Vulkan-ValidationLayers/patches/fix-apiversion.patch

diff --git a/srcpkgs/Vulkan-ValidationLayers/patches/fix-apiversion.patch b/srcpkgs/Vulkan-ValidationLayers/patches/fix-apiversion.patch
new file mode 100644
index 00000000000..c7c8691b1a4
--- /dev/null
+++ b/srcpkgs/Vulkan-ValidationLayers/patches/fix-apiversion.patch
@@ -0,0 +1,29 @@
+https://github.com/KhronosGroup/Vulkan-ValidationLayers/issues/1024
+
+From 5e3bf3d651e08cb7464f6c7270a9637239fc13bb Mon Sep 17 00:00:00 2001
+From: John Zulauf <jzulauf@lunarg.com>
+Date: Sat, 29 Jun 2019 07:55:57 -0600
+Subject: [PATCH] layers: Use correct apiversion for properties check
+
+Change layers property check from physical device apiVersion to the
+effective apiVersion (the lesser of the device and CreateInstance
+apiVersion values) to avoid invalid downchain call.
+
+Change-Id: I282950f0f8927df280c97098e775a6940db809f1
+---
+ layers/core_validation.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git layers/core_validation.cpp layers/core_validation.cpp
+index 03149c08d..75e473af1 100644
+--- layers/core_validation.cpp
++++ layers/core_validation.cpp
+@@ -2412,7 +2412,7 @@ void CoreChecks::PostCallRecordCreateDevice(VkPhysicalDevice gpu, const VkDevice
+         instance_dispatch_table.GetPhysicalDeviceCooperativeMatrixPropertiesNV(gpu, &numCooperativeMatrixProperties,
+                                                                                core_checks->cooperative_matrix_properties.data());
+     }
+-    if (core_checks->phys_dev_props.apiVersion >= VK_API_VERSION_1_1) {
++    if (core_checks->api_version >= VK_API_VERSION_1_1) {
+         // Get the needed subgroup limits
+         auto subgroup_prop = lvl_init_struct<VkPhysicalDeviceSubgroupProperties>();
+         auto prop2 = lvl_init_struct<VkPhysicalDeviceProperties2KHR>(&subgroup_prop);
diff --git a/srcpkgs/Vulkan-ValidationLayers/template b/srcpkgs/Vulkan-ValidationLayers/template
index 06c98fad404..b239584876b 100644
--- a/srcpkgs/Vulkan-ValidationLayers/template
+++ b/srcpkgs/Vulkan-ValidationLayers/template
@@ -1,7 +1,7 @@
 # Template file for 'Vulkan-ValidationLayers'
 pkgname=Vulkan-ValidationLayers
 version=1.1.112
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DGLSLANG_INSTALL_DIR=/usr
  -DVULKAN_HEADERS_INSTALL_DIR=${XBPS_CROSS_BASE}/usr"
